Bug 1128360 - Error in `systemd-analyze': free(): invalid pointer: 0x00007f299c3fb700
Summary: Error in `systemd-analyze': free(): invalid pointer: 0x00007f299c3fb700
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 12:31 UTC by Harald Reindl
Modified: 2014-11-05 03:56 UTC (History)
7 users (show)

Fixed In Version: systemd-208-26.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-02 07:26:49 UTC


Attachments (Terms of Use)

Description Harald Reindl 2014-08-09 12:31:26 UTC
systemd-208-21.fc20.x86_64

such things must not happen and should be catched by sensible autotests


[root@testserver:~]$ systemd-analyze set-log-level
This command expects one argument only.
*** Error in `systemd-analyze': free(): invalid pointer: 0x00007f299c3fb700 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x75cff)[0x7f299ba32cff]
/lib64/libc.so.6(+0x7cff8)[0x7f299ba39ff8]
/lib64/libdbus-1.so.3(dbus_error_free+0x31)[0x7f299bfa40f1]
systemd-analyze(+0x341f)[0x7f299c3ff41f]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f299b9ded65]
systemd-analyze(+0x3afd)[0x7f299c3ffafd]
======= Memory map: ========
7f299b598000-7f299b59f000 r-xp 00000000 08:11 462799                     /usr/lib64/librt-2.18.so
7f299b59f000-7f299b79e000 ---p 00007000 08:11 462799                     /usr/lib64/librt-2.18.so
7f299b79e000-7f299b79f000 r--p 00006000 08:11 462799                     /usr/lib64/librt-2.18.so
7f299b79f000-7f299b7a0000 rw-p 00007000 08:11 462799                     /usr/lib64/librt-2.18.so
7f299b7a0000-7f299b7b8000 r-xp 00000000 08:11 459239                     /usr/lib64/libpthread-2.18.so
7f299b7b8000-7f299b9b7000 ---p 00018000 08:11 459239                     /usr/lib64/libpthread-2.18.so
7f299b9b7000-7f299b9b8000 r--p 00017000 08:11 459239                     /usr/lib64/libpthread-2.18.so
7f299b9b8000-7f299b9b9000 rw-p 00018000 08:11 459239                     /usr/lib64/libpthread-2.18.so
7f299b9b9000-7f299b9bd000 rw-p 00000000 00:00 0 
7f299b9bd000-7f299bb71000 r-xp 00000000 08:11 459210                     /usr/lib64/libc-2.18.so
7f299bb71000-7f299bd71000 ---p 001b4000 08:11 459210                     /usr/lib64/libc-2.18.so
7f299bd71000-7f299bd75000 r--p 001b4000 08:11 459210                     /usr/lib64/libc-2.18.so
7f299bd75000-7f299bd77000 rw-p 001b8000 08:11 459210                     /usr/lib64/libc-2.18.so
7f299bd77000-7f299bd7c000 rw-p 00000000 00:00 0 
7f299bd7c000-7f299bd91000 r-xp 00000000 08:11 464398                     /usr/lib64/libgcc_s-4.8.3-20140624.so.1
7f299bd91000-7f299bf90000 ---p 00015000 08:11 464398                     /usr/lib64/libgcc_s-4.8.3-20140624.so.1
7f299bf90000-7f299bf91000 r--p 00014000 08:11 464398                     /usr/lib64/libgcc_s-4.8.3-20140624.so.1
7f299bf91000-7f299bf92000 rw-p 00015000 08:11 464398                     /usr/lib64/libgcc_s-4.8.3-20140624.so.1
7f299bf92000-7f299bfd8000 r-xp 00000000 08:11 461140                     /usr/lib64/libdbus-1.so.3.7.4
7f299bfd8000-7f299c1d8000 ---p 00046000 08:11 461140                     /usr/lib64/libdbus-1.so.3.7.4
7f299c1d8000-7f299c1d9000 r--p 00046000 08:11 461140                     /usr/lib64/libdbus-1.so.3.7.4
7f299c1d9000-7f299c1da000 rw-p 00047000 08:11 461140                     /usr/lib64/libdbus-1.so.3.7.4
7f299c1da000-7f299c1fa000 r-xp 00000000 08:11 459207                     /usr/lib64/ld-2.18.so
7f299c3e0000-7f299c3e4000 rw-p 00000000 00:00 0 
7f299c3f7000-7f299c3f9000 rw-p 00000000 00:00 0 
7f299c3f9000-7f299c3fa000 r--p 0001f000 08:11 459207                     /usr/lib64/ld-2.18.so
7f299c3fa000-7f299c3fb000 rw-p 00020000 08:11 459207                     /usr/lib64/ld-2.18.so
7f299c3fb000-7f299c3fc000 rw-p 00000000 00:00 0 
7f299c3fc000-7f299c40e000 r-xp 00000000 08:11 461413                     /usr/bin/systemd-analyze
7f299c60e000-7f299c60f000 r--p 00012000 08:11 461413                     /usr/bin/systemd-analyze
7f299c60f000-7f299c610000 rw-p 00013000 08:11 461413                     /usr/bin/systemd-analyze
7f299c610000-7f299c611000 rw-p 00000000 00:00 0 
7f299ddd3000-7f299ddf4000 rw-p 00000000 00:00 0                          [heap]
7fffb36c1000-7fffb36e2000 rw-p 00000000 00:00 0                          [stack]
7fffb36f4000-7fffb36f6000 r-xp 00000000 00:00 0                          [vdso]
7fffb36f6000-7fffb36f8000 r--p 00000000 00:00 0                          [vvar]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted

Comment 1 Fedora Update System 2014-10-26 23:10:26 UTC
systemd-208-25.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-25.fc20

Comment 2 Fedora Update System 2014-10-30 12:00:00 UTC
systemd-208-26.fc20,kmod-15-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-26.fc20,kmod-15-2.fc20

Comment 3 Fedora Update System 2014-11-01 01:40:46 UTC
Package systemd-208-26.fc20, kmod-15-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-208-26.fc20 kmod-15-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14032/systemd-208-26.fc20,kmod-15-2.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-11-02 07:26:49 UTC
systemd-208-25.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-05 03:56:35 UTC
systemd-208-26.fc20, kmod-15-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.